> For the complete documentation index, see [llms.txt](https://docs.openreview.net/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.openreview.net/how-to-guides/data-retrieval-and-modification/how-to-retrieve-data-for-acm-proceedings.md).

# How to Retrieve Data for ACM Proceedings

Venues uploading their metadata to the ACM e-Rights system will need to follow [specific procedures and requirements](https://www.acm.org/publications/gi-proceedings-current). If you have questions about these requirements, please contact the current ACM point of contact.&#x20;

PCs can use the python client to retrieve the [required submission/author data](https://www.acm.org/binaries/content/assets/publications/taps/papertypes-csvfields-current.pdf), but the CSV or XML file will need to be prepared by PCs.&#x20;

We strongly encourage PCs to communicate with authors as early as possible to fill out the “city” , and “country” data for their institution located in their profiles. PCs can retrieve this data using the openreview-py function: get\_profiles() for one or multiple authors.

```python
profiles = openreview.tools.get_profiles(
    client,
    ids_or_emails=['michael@openreview.net', '~Melisa_bok1']
)
```

To get the affiliation data, check the history within the profile content.

```python
for profile in profiles:
    profile.content['history']
```

The output may look like:

```json
"history": [
    {
    "position": "Researcher",
    "start": 2024,
    "end": null,
    "institution": {
        "domain": "unitn.it",
        "name": "University of Trento",
        "country": "IT",
        "stateProvince": "Trento",
        "city": "Trento",
        "department": "CIMEC"
        }
    }
]
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.openreview.net/how-to-guides/data-retrieval-and-modification/how-to-retrieve-data-for-acm-proceedings.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
